Debian unstable install

I have been running the stable version of Jellyfin for a while on a MX-Linux distro (Debian 10) and thought I would try the unstable version. After following the instructions the install failed because ffmpeg was the wrong version. So I downloaded the latest ffmpeg from Jellyfin Git. The ffmpeg install failed because libc6 was not new enough so I downloaded the .deb for the latest libc6 but that install would not run (using package manager). I gave up and re-installed the stable version.

Anyone have an idea what I am missing to install the unstable version of Jellyfin?

I was able to get the unstable version installed.